package com.bonus.boot.manager.career.dao;

import com.bonus.boot.manager.basic.entity.HospitalBean;
import com.bonus.boot.manager.career.entity.CareerBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface CareerDao {

    List<CareerBean> getList(CareerBean o);
    void insertDate(CareerBean vo);

    int updateInfo(CareerBean bean);
    List<CareerBean> getPhysicalInfoForOne(CareerBean o);
    void updatePDFAddress(String idNumber, String filePath);
    int getIsExistAppoint(String idNumber);
    void updateAppointStatus(String idNumber, String status);
    void updateExcelData(CareerBean careerBean);
    List<CareerBean> getAllPhysicalPerson();
    List<CareerBean> getAllIdNumber();

    void updateAppointCancel(String idNumber, String status);
}

